Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ContainerAlreadyExistsException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.collab.util.NestedException
                        |
                        +--com.compoze.collab.CollaborationException
                              |
                              +--com.compoze.collab.ContainerAlreadyExistsException

All Implemented Interfaces:
  java.io.Serializable

public class ContainerAlreadyExistsException
extends CollaborationException

Exception class that means that a container could not be created because a container with the same name already exists.

See Also:
  Serialized Form

Constructor Summary
`ContainerAlreadyExistsException(com.compoze.collab.spi.Context ctx)` Constructs a ContainerAlreadyExistsException.
`ContainerAlreadyExistsException(com.compoze.collab.spi.Context ctx, java.lang.String sName)` Constructs a ContainerAlreadyExistsException.
`ContainerAlreadyExistsException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx)` Constructs a ContainerAlreadyExistsException.
`ContainerAlreadyExistsException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, java.lang.String sName)` Constructs a ContainerAlreadyExistsException.

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerAlreadyExistsException

    public ContainerAlreadyExistsException(java.lang.Throwable t,
                                           com.compoze.collab.spi.Context ctx)

  Constructs a ContainerAlreadyExistsException.
  Parameters:
    `t` - the underlying throwable
    `ctx` - the context (not `null`)

### ContainerAlreadyExistsException

    public ContainerAlreadyExistsException(com.compoze.collab.spi.Context ctx)

  Constructs a ContainerAlreadyExistsException.
  Parameters:
    `ctx` - the context (not `null`)

### ContainerAlreadyExistsException

    public ContainerAlreadyExistsException(com.compoze.collab.spi.Context ctx,
                                           java.lang.String sName)

  Constructs a ContainerAlreadyExistsException.
  Parameters:
    `ctx` - the context (not `null`)
    `sName` - the container name (not `null`)

### ContainerAlreadyExistsException

    public ContainerAlreadyExistsException(java.lang.Throwable t,
                                           com.compoze.collab.spi.Context ctx,
                                           java.lang.String sName)

  Constructs a ContainerAlreadyExistsException.
  Parameters:
    `t` - the underlying throwable
    `ctx` - the context (not `null`)
    `sName` - the container name (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.